%% Get Data
clear all

RadiusNumber = 30;

MinTemp = 20;
MaxTemp = 55;
RoomTemp = 30;

[TempValue, TLTherm] = ProcessThermalImages(RadiusNumber,MinTemp,MaxTemp,0);
[Cured, TLImages] = ProcessImages(RadiusNumber,0);

%% Scale Thermal Images to Match Structural Images' height
clearvars PaddedCured TempRescale

[numFrames ThermHeight ThermWidth] = size(TempValue);
[numPics StructHeight StructWidth] = size(Cured);

scale = StructHeight/(ThermHeight);
ThermWidth = round(scale*ThermWidth);
ThermHeight = round(scale*ThermHeight);
TLThermResize = scale*TLTherm;
PaddingWidth = round(TLThermResize-TLImages);

MaxTempAll = max(max(max(TempValue(:,:,:))));

figure(1)
clf

for i = 1:numFrames
    TempData20(i,:,:) = imresize(squeeze(TempValue(i,:,:)),scale,'bicubic'); %5*(i-1)+1
end
for i = 1:6
    
    CuredData20(i,:,:) = [zeros(StructHeight,PaddingWidth) squeeze(Cured(i,:,:)) zeros(StructHeight,ThermWidth-(StructWidth+PaddingWidth)+1)];
    [idx_y idx_x] = find(squeeze(CuredData20(i,:,:)));
    Merged(:,:) = 0.4*squeeze(CuredData20(i,:,:))+(squeeze(TempData20(5*(i-1)+1,:,:))-30)*(1/(55-30));
    imshow(imrotate(Merged(:,:),-90),[])
    colormap hot
    pause(.2)


%     height20(i) = min(idx_y);
%     imshow(squeeze(CuredData20(i,:,:)))
%     hold on 
%     plot(TLImages+PaddingWidth,height20(i),'r.','markerSize',20)
%     pause(0.5)
end

% center20 = round(TLThermResize);





